Get one billing plan
get
/fscmRestApi/resources/11.13.18.05/salesOrdersForOrderHubRequests/{OrderKey}/child/lines/{linesUniqID}/child/billingPlans/{billingPlansUniqID}
Request
Path Parameters
-
OrderKey(required): string
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
billingPlansUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Billing Plans resource and used to uniquely identify an instance of Billing Plans. The client should not generate the hash key value. Instead, the client should query on the Billing Plans collection resource in order to navigate to a specific instance of Billing Plans to get the hash key.
-
linesUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Order Lines resource and used to uniquely identify an instance of Order Lines. The client should not generate the hash key value. Instead, the client should query on the Order Lines collection resource in order to navigate to a specific instance of Order Lines to get the hash key.
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : salesOrdersForOrderHubRequests-lines-billingPlans-item-response
Type:
Show Source
object-
BillingNumberOfPeriods: integer
(int32)
Number of time frames in a recurring invoice.
-
BillingPeriodEndDate: string
(date)
End date of the billing time frame. The application sets this date to the contract end date of the first billing time frame. If the invoice doesn't cover the full billing time frame, then the application sets the end date to the billing end date of the subsequent billing time frame.
-
BillingPeriodNumber: integer
(int32)
Time frame number for the billing start date, end date, or transaction date.
-
BillingPeriodStartDate: string
(date)
Start date of the billing time frame. The application sets this date to the contract start date of the first billing time frame. If the invoice doesn't cover the full billing time frame, then the application sets the start date to the billing start date of the subsequent billing time frame.
-
BillingPlanTypeCode: string
Maximum Length:
30Abbreviation that identifies the type of billing plan, such as periodic or milestone. -
BillingTransactionDate: string
(date)
Date when the first invoice occurs when the sales order uses a recurring invoice. If the invoice covers only part of an invoice time frame, then this attribute stores the date of the subsequent invoice.
-
CancellationEffectiveDate: string
(date)
Date when recurring billing stops and no future billing occurs.
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
OverridePeriod: integer
(int32)
Time frame that includes an override amount. For example, the first invoice is for time frame 1, the second invoice is for time frame 2, and so on.
-
OverridePeriodAmount: number
Override amount to apply on the time frame.
-
OverridePeriodQuantity: number
Quantity to use when calculating recurring billing or credit for the override time frame.
-
PeriodicityCode: string
Maximum Length:
30Time frame of the recurring invoice. Values include Day, Week, Month, Quarter, or Year. -
SourceBillingPlanId: string
Maximum Length:
50Value that uniquely identifies the billing plan. This value is assigned by the source application.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.